The Perl version works with no such issues so I'm using that for now.

-- 
Posted via http://www.ruby-forum.com/.